#include <fx.h>
#include "ViewerWindow.h"

int main( int argc, char **argv )
{
  FXApp a("SimpleViewerFOX", "SimpleViewerFOX");
  a.init(argc, argv);

  ViewerWindow w(&a);

  a.create();
  w.show(PLACEMENT_SCREEN);

  w.addView("Main", false, 0.0, 0.0, 1.0, 1.0);

  w.setViewBorderWidth(1);
  w.setFocusViewBorderWidth(2);

  if (argc >= 2)
  {
    w.loadModel(argv[1]);
  }

  return a.run();
}
